package pps.core.common.mybatis;

import com.baomidou.mybatisplus.core.config.GlobalConfig;
import com.baomidou.mybatisplus.core.toolkit.GlobalConfigUtils;

import java.util.function.Supplier;

public enum MybaitisGlobalConfigSuppiler implements Supplier<GlobalConfig> {
    INSTANCE;

    private final GlobalConfig globalConfig;

    MybaitisGlobalConfigSuppiler() {
        this.globalConfig = GlobalConfigUtils.defaults();
        this.globalConfig.setIdentifierGenerator(new MyIDGenerator());
    }

    @Override
    public GlobalConfig get() {
        return globalConfig;
    }
}
