package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;

/**
 * 油田配置表
 *
 * @author ZWT
 * @date 2024/06/25
 */
@Data
public class ConfigOilFieldView implements Serializable {
    @XText("ID")
    @TableField
    private Long id;

    @XText("是否启用(1_否,0_是)")
    @TableField
    private Integer isEnable;

    @XText("油田名称")
    @TableField
    private String oilFieldName;

    @XText("油田编码")
    @TableField
    private String oilFieldCode;

    @XText("首页路由")
    @TableField
    private String homePagePath;
}