package pps.cloud.prediction.service.data.wellhead_daily_production_situation;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.Date;

/**
 * 井口生产情况表
 *
 * @author ZWT
 * @date 2024/05/24
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetWellheadDailyProductionSituationInput {

    @XText("创建时间")
    private Date createDate;
}