package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 演示用配置表
 *
 * @author ZWT
 * @date 2024/06/03
 */
@Data
@TableName("config_show")
public class ConfigShowEnt implements Serializable {

    @XText("ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @XText("是否启用(1_否,0_是)")
    @TableField
    private Integer isEnable;

    @XText("日期选择")
    @TableField
    private Date choiceDate;
}
