package pps.core.prediction.mapper;

import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.ConfigShowView;

import java.util.List;

/**
 * 演示用配置表
 *
 * @author ZWT
 * @date 2024/06/03
 */
@Repository(value = "pps.core.prediction.mapper.ConfigShowViewMapper")
public interface ConfigShowViewMapper {

    /**
     * 选择一个
     *
     * @param record 记录
     * @return {@link ConfigShowView }
     */
    ConfigShowView selectOne(ConfigShowView record);

    /**
     * 选择列表
     *
     * @param record 记录
     * @return {@link List }<{@link ConfigShowView }>
     */
    List<ConfigShowView> selectList(ConfigShowView record);
}
